library custombottomnavbar;

import 'package:flutter/material.dart';

class CustomBottomNavigation extends StatefulWidget {
  final List<Widget> items;
  final Color color1;
  final Color backgroundColor;
  final BorderRadius radius;

  CustomBottomNavigation({
    Key key,
    this.items,
    this.color1,
    this.backgroundColor,
    this.radius,
  }) : super(key: key);
  @override
  _CustomBottomNavigationState createState() => _CustomBottomNavigationState();
}

class _CustomBottomNavigationState extends State<CustomBottomNavigation> {
  @override
  Widget build(BuildContext context) {

    return
      Stack(
        children: [
          Container(
            height: 80,
            width: double.infinity,
            color: widget.backgroundColor,),
          Container(

            padding:  EdgeInsets.only(bottom: 20),
            alignment: Alignment.bottomCenter,
            width: double.infinity,
            height: 80,
            decoration: BoxDecoration(
              color: widget.color1,

              borderRadius: widget.radius,
            ),

            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: widget.items.map((icon) {
                return icon;


              }

              ).toList(),






            ),

          ),
        ],
      );
  }

}

class NavItem extends StatefulWidget {
  final IconData icon;
  final Color bg;
  final double size;
  final current;
  int index;
  Function onTap;
  NavItem({
    Key key,
    this.icon,
    this.bg,
    this.size,
    this.current,
    this.index,
    this.onTap,
  }) : super(key: key);

  @override
  _NavItemState createState() => _NavItemState();
}

class _NavItemState extends State<NavItem> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: IconButton(
        icon: Icon(
          widget.icon,
          size: widget.size,
          color: widget.bg,
        ),
        onPressed: widget.onTap,
      ),
    );
  }
}

